/*
Theme Name:     Olivia
Theme URI:      https://www.etsy.com/shop/BrandAndBlogger
Template:       kadence
Author:         Brand & Blogger
Author URI:     https://www.brandandblogger.pl/
Description:    Olivia is a feminine, fully responsive, premium child theme made for the free Kadence theme by Kadence WP. It’s perfect for female entrepreneurs: coaches, business strategists, virtual assistants, social media managers, creators of digital products (ebook, courses) and more! Olivia comes with 14 full page templates (including sales page, lead magnet page, landing page, services, podcast page and more) and with an access to a blocks cloud library, which contains over 70 prestyled, ready to use sections from this theme - to help you to create every new page easily. Launch your dream website now - install the theme, fill the pages with your own content, change the style (fonts, colors) and... show your website to the world!
Version:        1.0
License:        GNU General Public License v3.0 (or later)
License URI:    https://www.gnu.org/licenses/gpl-3.0.html
*/





/*Animations*/

@-webkit-keyframes anim1 {
    0% {
        margin-top: 5%;
    }
    50% {
        margin-top: 0%;
    }
    100% {
        margin-top: 5%;
    }
}

@-moz-keyframes anim1 {
    0% {
        margin-top: 5%;
    }
    50% {
        margin-top: 0%;
    }
    100% {
        margin-top: 5%;
    }
}

@keyframes anim1 {
    0% {
        margin-top: 5%;
    }
    50% {
        margin-top: 0%;
    }
    100% {
        margin-top: 5%;
    }
}

/*Transparent menu - background after scrolling*/

#masthead,
#masthead .kadence-sticky-header.item-is-fixed:not(.item-at-start):not(.site-header-row-container):not(.site-main-header-wrap),
#masthead .kadence-sticky-header.item-is-fixed:not(.item-at-start) > .site-header-row-container-inner {
    background: var(--global-palette8);
}

/*Searchbar*/

/*Searchbar from the main navigation*/

#search-drawer .drawer-inner input.search-field:focus {
    box-shadow: 0px 0px 0px 0px currentColor;
}

#search-drawer input {
    letter-spacing: 3px;
    font-size: 13px !important;
}

#search-drawer .drawer-inner input.search-field {
    border-radius: 0 !important;
    text-transform: uppercase;
    font-size: unset;
}

/*Searchbar on the "no results" searching page*/

.search-form input {
    border-radius: 0 !important;
    border-color: var(--global-palette5) !important;
    letter-spacing: 2px;
}

.search-form input::placeholder {
    color: var(--global-palette5);
}

/*Footer*/

/*Footer - logo image*/

.jl-olivia-footer-logo-image {
    align-items: center;
    display: flex;
    flex-direction: column;
}

/*Footer - additional navigation*/

.jl-olivia-footer-nav-links {
    position: relative;
	  width: 100%;
}

.jl-olivia-footer-nav-links.wp-block-kadence-iconlist ul.kt-svg-icon-list .kt-svg-icon-list-item-wrap {
  display: block !important;
}

.jl-olivia-footer-nav-links > ul a .kt-svg-icon-list-single {
  display: none !important;
}

.wp-block-kadence-iconlist.kt-svg-icon-list-items.kt-svg-icon-list-items4d2d70-ce.kt-svg-icon-list-columns-1.aligncenter.jl-olivia-footer-nav-links {
  width: 100%;
}

.jl-olivia-footer-nav-links ul li a span {
  display: block;
  width: 100%;
	text-align: center;
}

@media screen and (max-width: 1024px) {
  .jl-olivia-footer-nav {
    width: 100% !important;
  }
}

/*Footer - additional navigation - links style*/

.jl-olivia-footer-nav a {
    text-transform: uppercase;
    letter-spacing: 3px;
    padding: 8px !important;
    border-bottom: 1px solid var(--global-palette8);
    font-size: 13px;
}

.jl-olivia-footer-nav a:hover {
    background: var(--global-palette8);
    text-decoration: none;
    color: var(--global-palette1);
}


/*Footer - form fields*/

.jl-olivia-footer-form input {
    border-width: 0 !important;
    border-bottom-width: 1px !important;
    letter-spacing: 3px;
}

/*Custom pages*/

/*Homepage*/

/*Homepage hero section*/

.jl-olivia-homepage-hero-section,
.jl-olivia-homepage-hero-section > .kt-row-column-wrap {
    align-content: center;
}

/*Homepage about me - circle logo*/

.jl-olivia-homepage-circle-logo {
    position: absolute !important;
    transform: rotate(0deg);
    transition: ease-in-out 0.6s;

}

.jl-olivia-homepage-circle-logo:hover {
    transform: rotate(25deg);
    transition: ease-in-out 0.6s;
}

/*Homepage about me - images gallery background*/

.jl-olivia-homepage-aboutme-images-gallery {
    position: relative;
}

.jl-olivia-homepage-aboutme-images-gallery::before {
    content: '';
    width: 100%;
    height: 100%;
    background: var(--global-palette7);
    position: absolute;
    left: 20px;
    z-index: -1;
    border-radius: 400px 400px 0 0;
}

/*Homepage services - background*/

.jl-olivia-homepage-services {
    background-image: linear-gradient(0, rgb(0, 0, 0, 0) 30%, var(--global-palette8, #faf1ec) 30%) !important;
}

/*Homepage services - positions*/

.jl-olivia-homepage-services .kt-inner-column-height-full:not(.kt-row-layout-row) > .wp-block-kadence-column > .kt-inside-inner-col {
    height: auto;
}

.jl-olivia-homepage-services-columns .kt-blocks-info-box-media-container {
    position: absolute;
    top: 20px;
    left: 0;
}

.jl-olivia-homepage-services-columns .wp-block-kadence-advancedbtn {
    position: absolute;
    bottom: -10px;
    left: 0;
    right: 0;
}

/*Homepage services - hover effects*/

.jl-olivia-homepage-services-columns .wp-block-kadence-image {
    overflow: hidden;
    border-radius: 400px 400px 0 0;
}

.jl-olivia-homepage-services-columns img {
    transform: scale(1);
    transition: 2s cubic-bezier(0, 0.9, 0.5, 0.9);
}

.jl-olivia-homepage-services-columns img:hover {
    transform: scale(1.15);
    transition: 2s cubic-bezier(0, 0.9, 0.5, 0.9);
}

/*Homepage testimonials slider*/

.jl-olivia-testimonials-slider .splide .splide__arrow,
.splide .splide__arrow {
    opacity: 1;
    border-radius: 0;
    border-width: 1px;
    width: 2.5em;
    height: 2.5em;
}

.jl-olivia-testimonials-slider .kt-blocks-carousel .kt-blocks-carousel-init:not(.kt-carousel-arrowstyle-none):not(.tns-slider),
.wp-block-kadence-testimonials .kt-blocks-carousel .kt-blocks-carousel-init:not(.kt-carousel-arrowstyle-none):not(.tns-slider) {
    padding-left: 40px;
    padding-right: 40px;
}

/*Homepage benefits - section background*/

.jl-olivia-homepage-benefits::after {
    content: '';
    position: absolute;
    top: 0;
    left: 0;
    right: 0;
    bottom: 0;
    background-image: linear-gradient(90deg, rgb(0, 0, 0, 0) 65%, var(--global-palette8, #faf1ec) 30%) !important;
    z-index: 0;
}

/*Homepage benefits - image background*/

.jl-olivia-homepage-benefits-image {
    position: relative;
}

.jl-olivia-homepage-benefits-image::before {
    content: '';
    width: 100%;
    height: 100%;
    background: var(--global-palette7);
    position: absolute;
    left: -20px;
    z-index: -1;
    border-radius: 400px 400px 0 0;
}

@media screen and (max-width: 767px) {
    /*Homepage benefits - order on mobile*/
    .jl-olivia-homepage-benefits-textcolumn {
        order: 2;
    }
    /*Homepage benefits - background on mobile*/
    .jl-olivia-homepage-benefits::after {
        content: '';
        position: absolute;
        top: 0;
        left: 0;
        right: 0;
        bottom: 0;
        background-image: linear-gradient(0, rgb(0, 0, 0, 0) 80%, var(--global-palette8, #faf1ec) 15%) !important;
        z-index: 0;
    }
}

/*Homepage latest posts*/

.jl-olivia-homepage-latestposts-posts article:nth-child(3n+2) {
    position: relative;
    top: 64px;
}

.jl-olivia-homepage-latestposts .grid-cols {
    column-gap: 2rem;
}

.jl-olivia-homepage-latestposts-posts .category-links a {
    letter-spacing: 2px;
}


/*Homepage latest posts - hover effects*/

.jl-olivia-homepage-latestposts-posts img {
    transform: scale(1);
    transition: 2s cubic-bezier(0, 0.9, 0.5, 0.9);
}

.jl-olivia-homepage-latestposts-posts img:hover {
    transform: scale(1.15);
    transition: 2s cubic-bezier(0, 0.9, 0.5, 0.9);
}

/* --- on mobile --- */

@media screen and (max-width: 767px) {
    .jl-olivia-homepage-latestposts .grid-cols {
        column-gap: 1rem;
    }
    .jl-olivia-homepage-latestposts .loop-entry .entry-content-wrap {
        padding: 0.5rem;
    }
}

@media screen and (max-width: 575px) {
    .jl-olivia-homepage-latestposts-posts article:nth-child(3n+2) {
        position: relative;
        top: 0 !important;
    }
    .jl-olivia-homepage-latestposts .loop-entry .entry-content-wrap {
        padding: 1.5rem;
    }
}

/* --- thumbnails - border radius ---- */

.jl-olivia-homepage-latestposts-posts article,
.jl-olivia-homepage-latestposts-posts article .post-thumbnail {
    border-radius: 400px 400px 0 0 !important;
}


/*Homepage freebie - form fields*/

.jl-olivia-homepage-freebie-form input {
    border-width: 0 !important;
    border-bottom-width: 1px !important;
    letter-spacing: 3px;
}

/* --- on mobile --- */

@media screen and (max-width: 575px) {
    jl-olivia-homepage-freebie .kb-form .kadence-blocks-form-field.kb-field-desk-width-50 {
        width: 100%;
    }
}


/*Homepage podcast - section background*/

.jl-olivia-homepage-podcast::after {
    content: '';
    position: absolute;
    top: 0;
    left: 0;
    right: 0;
    bottom: 0;
    background-image: linear-gradient(180deg, rgb(0, 0, 0, 0) 65%, var(--global-palette8, #faf1ec) 30%) !important;
    z-index: 0;
}

@media screen and (max-width: 767px) {
    /*Homepage podcast - order on mobile*/
    .jl-olivia-homepage-podcast-textcolumn {
        order: 2;
    }
    /*Homepage podcast - background on mobile*/
    .jl-olivia-homepage-podcast::after {
        content: '';
        position: absolute;
        top: 0;
        left: 0;
        right: 0;
        bottom: 0;
        background-image: linear-gradient(180deg, rgb(0, 0, 0, 0) 25%, var(--global-palette8, #faf1ec) 15%) !important;
        z-index: 0;
    }
}

/*About page*/

/*About page hero section - image background */

.jl-olivia-aboutpage-hero-section-image {
  position: relative;
}

.jl-olivia-aboutpage-hero-section-image::before {
    content: '';
    width: 100%;
    height: 100%;
    background: var(--global-palette7);
    position: absolute;
    left: -20px;
    z-index: -1;
    border-radius: 400px 400px 0 0;
}

/*About page hero section - arrow icon*/

.jl-olivia-aboutpage-hero-section .jl-olivia-icon {
    position: absolute;
    width: 100%;
    padding-right: 2em !important;
    -webkit-animation: anim1 5s ease-in-out 0s;
    animation: anim1 5s ease-in-out 0s;
    animation-iteration-count: 1;
    animation-fill-mode: none;
    animation-iteration-count: infinite;
    -webkit-animation-fill-mode: both;
    transition: 2s;
}

/*About page featured review - background color*/

.jl-olivia-aboutpage-review::after {
    content: '';
    position: absolute;
    z-index: 2;
    top: 0;
    left: 0;
    right: 0;
    bottom: 0;
    background-image: linear-gradient(-90deg, rgb(0, 0, 0, 0) 70%, var(--global-palette8, #faf1ec) 15%) !important;
    z-index: 0;
}


@media screen and (max-width: 767px) {

    /*About page featured review - background on mobile*/
    .jl-olivia-aboutpage-review::after {
        background-image: linear-gradient(0, rgb(0, 0, 0, 0) 80%, var(--global-palette8, #faf1ec) 15%) !important;
        z-index: 0;
    }
}


/*About page services - background*/

.jl-olivia-aboutpage-services {
    background-image: linear-gradient(0deg, rgb(0, 0, 0, 0) 45%, var(--global-palette8, #faf1ec) 30%) !important;
}

/*About page services - positions*/

.jl-olivia-aboutpage-services .kt-blocks-info-box-media-container {
    position: relative;
}

/*About page services - section border (the lines)*/

.jl-olivia-aboutpage-services::after,
.jl-olivia-aboutpage-services::before {
    content: '';
    position: absolute;
    z-index: 2;
    width: 100%;
    height: 1px;
    left: 0;
    right: 0;
    background: var(--global-palette5) !important;
}

.jl-olivia-aboutpage-services::after {
    bottom: 1em;
}

.jl-olivia-aboutpage-services::before {
    top: 1em;
}


/*Instagram page (bio)*/

.jl-olivia-instagram-page-column {
    width: 100%;
}

/*Instagram page (bio) - social icons after hovering*/

.jl-olivia-instagram-page-column-socialicons li:hover {
    background: var(--global-palette1) !important;
    color: var(--global-palette9) !important;
    transition: 0.3s ease-in-out;
}

.jl-olivia-instagram-page-column-socialicons li {
    transition: 0.3s ease-in-out;
}

/*Podcast page*/

/*Episodes section - buttons position*/

.jl-olivia-podcast-episodes-columns-buttons {
    position: absolute;
    bottom: -25px;
    left: 0;
    right: 0;
}

/*Contact page*/

/*Contact page - background color*/

.jl-olivia-contactpage::after {
    content: '';
    position: absolute;
    z-index: 2;
    top: 0;
    left: 0;
    right: 0;
    bottom: 0;
    background-image: linear-gradient(-90deg, rgb(0, 0, 0, 0) 70%, var(--global-palette8, #faf1ec) 15%) !important;
    z-index: 0;
}


@media screen and (max-width: 767px) {

    /*Contact page - background on mobile*/
    .jl-olivia-contactpage::after {
        background-image: linear-gradient(0, rgb(0, 0, 0, 0) 80%, var(--global-palette8, #faf1ec) 15%) !important;
        z-index: 0;
    }
}

/*Contact page - images gallery background*/

.jl-olivia-contactpage-images-gallery {
    position: relative;
}

.jl-olivia-contactpage-images-gallery::before {
    content: '';
    width: 100%;
    height: 100%;
    background: var(--global-palette7);
    position: absolute;
    left: 0;
    z-index: -1;
    border-radius: 400px 400px 0 0;
}

/*Contact page - privacy policy in the form*/

.jl-olivia-contactpage .kb-form .kadence-blocks-form-field.kb-accept-form-field .kb-checkbox-style {
    margin: 3px 5px 3px 0 !important;
}

.jl-olivia-contactpage-form a.kb-accept-link {
    text-transform: uppercase;
    text-decoration: none !important;
    font-size: 11px;
    letter-spacing: 2px;
    font-weight: bold;
}

/*Contact page - social icons after hovering*/

.jl-olivia-contactpage-socialicons li:hover {
    background: var(--global-palette1) !important;
    color: var(--global-palette9) !important;
    transition: 0.3s ease-in-out;
}

.jl-olivia-contactpage-socialicons li {
    transition: 0.3s ease-in-out;
}

/*Services page*/

/*Services page hero section - arrow icon*/

.jl-olivia-servicespage-hero-section .jl-olivia-icon {
    position: absolute;
    width: 100%;
    padding-right: 4em !important;
    -webkit-animation: anim1 5s ease-in-out 0s;
    animation: anim1 5s ease-in-out 0s;
    animation-iteration-count: 1;
    animation-fill-mode: none;
    animation-iteration-count: infinite;
    -webkit-animation-fill-mode: both;
    transition: 2s;
}

/*Services boxes 01, 02, 03 - section background*/

.jl-olivia-servicespage-services {
    background-image: linear-gradient(0deg, rgb(0, 0, 0, 0) 45%, var(--global-palette8, #faf1ec) 30%) !important;
}

/*Services boxes 01, 02, 03 - section border (the lines)*/

.jl-olivia-servicespage-services::after,
.jl-olivia-servicespage-services::before {
    content: '';
    position: absolute;
    z-index: 0;
    width: 100%;
    height: 1px;
    left: 0;
    right: 0;
    background: var(--global-palette5) !important;
}

.jl-olivia-servicespage-services::after {
    bottom: 1em;
}

.jl-olivia-servicespage-services::before {
    top: 1em;
}

/*Services boxes 01, 02, 03 - buttons */

.jl-olivia-servicespage-services-columns-buttons {
    position: relative;
    bottom: 25px;
    left: 0;
    right: 0;
}

/*Services page - service 01 section*/

/*Service 01 background color*/

.jl-olivia-servicespage-service01::after {
    content: '';
    position: absolute;
    z-index: 2;
    top: 0;
    left: 0;
    right: 0;
    bottom: 0;
    background-image: linear-gradient(-90deg, rgb(0, 0, 0, 0) 70%, var(--global-palette8, #faf1ec) 15%) !important;
    z-index: 0;
}

@media screen and (max-width: 767px) {

    /*Service 01 - background on mobile*/
    .jl-olivia-servicespage-service01::after {
        background-image: linear-gradient(0, rgb(0, 0, 0, 0) 80%, var(--global-palette8, #faf1ec) 15%) !important;
        z-index: 0;
    }
}

/*Service 01 - images gallery background*/

.jl-olivia-servicespage-service01-gallery {
    position: relative;
}

.jl-olivia-servicespage-service01-gallery::before {
    content: '';
    width: 100%;
    height: 100%;
    background: var(--global-palette7);
    position: absolute;
    left: 20px;
    z-index: -1;
    border-radius: 400px 400px 0 0;
}

/*Services page - service 02 section*/

/*Service 02 background color*/

.jl-olivia-servicespage-service02::after {
    content: '';
    position: absolute;
    z-index: 2;
    top: 0;
    left: 0;
    right: 0;
    bottom: 0;
    background-image: linear-gradient(90deg, rgb(0, 0, 0, 0) 70%, var(--global-palette8, #faf1ec) 15%) !important;
    z-index: 0;
}

@media screen and (max-width: 767px) {

    /*Service 02 - background on mobile*/
    .jl-olivia-servicespage-service02::after {
        background-image: linear-gradient(0, rgb(0, 0, 0, 0) 80%, var(--global-palette8, #faf1ec) 15%) !important;
        z-index: 0;
    }
}

/*Service 02 - images gallery background*/

.jl-olivia-servicespage-service02-gallery {
    position: relative;
}

.jl-olivia-servicespage-service02-gallery::before {
    content: '';
    width: 100%;
    height: 100%;
    background: var(--global-palette7);
    position: absolute;
    left: -20px;
    z-index: -1;
    border-radius: 400px 400px 0 0;
}


@media screen and (max-width: 767px) {
    /*Service 02 - order on mobile*/
    .jl-olivia-servicespage-service02 .jl-olivia-column1 {
        order: 2;
    }
    .jl-olivia-servicespage-service02 .jl-olivia-column2 {
        order: 1;
    }

    /*Service 02 - list alignment on mobile*/
    .jl-olivia-servicespage-service02 .jl-olivia-list-alignment {
        float: left;
        margin-left: 0;
    }
}

/*Lead magnet page*/

/*Lead magnet hero section - arrow icon*/

.jl-olivia-leadmagnet-hero-section .jl-olivia-icon {
    position: absolute;
    width: 100%;
    padding-right: 2em !important;
    -webkit-animation: anim1 5s ease-in-out 0s;
    animation: anim1 5s ease-in-out 0s;
    animation-iteration-count: 1;
    animation-fill-mode: none;
    animation-iteration-count: infinite;
    -webkit-animation-fill-mode: both;
    transition: 2s;
}

/*Lead magnet sign up form - form fields*/

.jl-olivia-leadmagnet-freebie-form input {
    border-width: 0 !important;
    border-bottom-width: 1px !important;
    letter-spacing: 3px;
}

@media screen and (min-width: 1025px) {
    .jl-olivia-leadmagnet-freebie .kb-form .kadence-blocks-form-field {
        margin-bottom: 0;
    }
}

/* --- on mobile --- */

@media screen and (max-width: 575px) {
    .jl-olivia-leadmagnet-freebie .kb-form .kadence-blocks-form-field.kb-field-desk-width-50 {
        width: 100%;
    }
}

/*Lead magnet page - benefits section*/

.jl-olivia-leadmagnet-benefits .kt-info-media-animate-none {
    min-width: 80px !important;
}

/*Landing page (event/challenge) */

/*Landing page hero section */

.jl-olivia-landingpage-hero-section,
.jl-olivia-landingpage-hero-section-image {
    position: relative;
}

/*Landing page hero section - image background */

.jl-olivia-landingpage-hero-section-image::before {
    content: '';
    width: 100%;
    height: 100%;
    background: var(--global-palette7);
    position: absolute;
    left: 0;
    z-index: -1;
    border-radius: 400px 400px 0 0;
}

/*Landing page - about me section*/

/*Landing page about me - background color*/

.jl-olivia-landingpage-aboutme::after {
    content: '';
    position: absolute;
    z-index: 2;
    top: 0;
    left: 0;
    right: 0;
    bottom: 0;
    background-image: linear-gradient(-90deg, rgb(0, 0, 0, 0) 70%, var(--global-palette7, #faf1ec) 15%) !important;
    z-index: 0;
}

@media screen and (max-width: 767px) {

    /*Landing page about me - background on mobile*/
    .jl-olivia-landingpage-aboutme::after {
        background-image: linear-gradient(0, rgb(0, 0, 0, 0) 80%, var(--global-palette8, #faf1ec) 15%) !important;
        z-index: 0;
    }
}

/*Landing page about me - images gallery background*/

.jl-olivia-landingpage-aboutme-gallery {
    position: relative;
}

.jl-olivia-landingpage-aboutme-gallery::before {
    content: '';
    width: 100%;
    height: 100%;
    background: var(--global-palette7);
    position: absolute;
    left: 20px;
    z-index: -1;
    border-radius: 400px 400px 0 0;
}

/*Thank you page*/

/*Thank you page - social icons after hovering*/

.jl-olivia-thankyoupage-socialicons li:hover {
    background: var(--global-palette1) !important;
    color: var(--global-palette9) !important;
    transition: 0.3s ease-in-out;
}

.jl-olivia-thankyoupage-socialicons li {
    transition: 0.3s ease-in-out;
}


/*Sales page*/

/*Sales page - client problems section*/

.jl-olivia-salespage-problems .kt-info-media-animate-none {
    min-width: 80px !important;
}

/*Sales page story section - image background */

.jl-olivia-salespage-story-section-image::before {
    content: '';
    width: 100%;
    height: 100%;
    background: var(--global-palette7);
    position: absolute;
    left: -20px;
    z-index: -1;
    border-radius: 400px 400px 0 0;
}

.jl-olivia-salespage-story-section,
.jl-olivia-salespage-story-section-image {
    position: relative;
}

/*Sales page - arrow icon*/

.jl-olivia-salespage-separator1 .jl-olivia-icon {
    position: absolute;
    width: 100%;
    -webkit-animation: anim1 5s ease-in-out 0s;
    animation: anim1 5s ease-in-out 0s;
    animation-iteration-count: 1;
    animation-fill-mode: none;
    animation-iteration-count: infinite;
    -webkit-animation-fill-mode: both;
    transition: 2s;
}


/*Sales page benefits section - background*/

.jl-olivia-salespage-benefits {
    background-image: linear-gradient(0deg, rgb(0, 0, 0, 0) 45%, var(--global-palette8, #faf1ec) 30%) !important;
}

/*Sales page benefits - section border (the lines)*/

.jl-olivia-salespage-benefits::after,
.jl-olivia-salespage-benefits::before {
    content: '';
    position: absolute;
    z-index: 2;
    width: 100%;
    height: 1px;
    left: 0;
    right: 0;
    background: var(--global-palette5) !important;
}

.jl-olivia-salespage-benefits::after {
    bottom: 1em;
}

.jl-olivia-salespage-benefits::before {
    top: 1em;
}

/*Sales page benefits - positions*/

.jl-olivia-salespage-benefits .kt-blocks-info-box-media-container {
    position: relative;
}

.jl-olivia-salespage-benefits .kt-inner-column-height-full:not(.kt-row-layout-row) > .wp-block-kadence-column > .kt-inside-inner-col {
    height: auto;
}

.jl-olivia-salespage-benefits-columns .wp-block-kadence-advancedbtn {
    position: absolute;
    bottom: -10px;
    left: 0;
    right: 0;
}

/*Sales page - pricing section background*/

.jl-olivia-salespage-pricing {
    background-image: linear-gradient(0deg, rgb(0, 0, 0, 0) 45%, var(--global-palette8, #faf1ec) 30%) !important;
}

/*Sales page - pricing section border (the lines)*/

.jl-olivia-salespage-pricing::after,
.jl-olivia-salespage-pricing::before {
    content: '';
    position: absolute;
    z-index: 0;
    width: 100%;
    height: 1px;
    left: 0;
    right: 0;
    background: var(--global-palette5) !important;
}

.jl-olivia-salespage-pricing::after {
    bottom: 1em;
}

.jl-olivia-salespage-pricing::before {
    top: 1em;
}

/*Sales page - pricing tables*/

.jl-olivia-salespage-pricing-columns-v1 .kt-inner-column-height-full:not(.kt-row-layout-row) > .wp-block-kadence-column > .kt-inside-inner-col,
.jl-olivia-salespage-pricing-columns-v2 .kt-inner-column-height-full:not(.kt-row-layout-row) > .wp-block-kadence-column > .kt-inside-inner-col,
.jl-olivia-salespage-pricing-columns-v3 .kt-inner-column-height-full:not(.kt-row-layout-row) > .wp-block-kadence-column > .kt-inside-inner-col {
    height: auto !important;
}

/*Pricing tables - images gallery background*/

.jl-olivia-salespage-pricing-columns-v4-gallery,
.jl-olivia-salespage-pricing-columns-v5-gallery {
    position: relative;
}

.jl-olivia-salespage-pricing-columns-v4-gallery::before {
    content: '';
    width: 100%;
    height: 100%;
    background: var(--global-palette7);
    position: absolute;
    left: 20px;
    z-index: -1;
    border-radius: 400px 400px 0 0;
}

.jl-olivia-salespage-pricing-columns-v5-gallery::before {
    content: '';
    width: 100%;
    height: 100%;
    background: var(--global-palette7);
    position: absolute;
    left: -20px;
    z-index: -1;
    border-radius: 400px 400px 0 0;
}

@media screen and (max-width: 767px) {
    .jl-olivia-salespage-pricing-columns-v5 .jl-olivia-list-alignment {
        float: left;
        margin-left: 0;
    }
}

/*Shop*/

/*Product catalog*/

.products .entry.loop-entry {
    border-radius: 0 0 0 0;
    box-shadow: 0 0 0 0 rgba(0, 0, 0, 0);
}

.page-numbers .page-numbers {
    border-radius: 0 !important;
}

/*Single product page*/

.quantity.spinners-added,
.quantity,
.woocommerce div.product .woocommerce-tabs ul.tabs li {
    border: 1px solid var(--global-palette5) !important;
    border-radius: 0 !important;
    color: var(--global-palette4) !important;
}

.quantity {
    margin-bottom: 4px !important;
}

.quantity.spinners-added input.plus,
.quantity.spinners-added input.minus {
    color: var(--global-palette4) !important;
}

.woocommerce div.product .product_meta > span {
    font-size: 90%;
    color: var(--global-palette1);
}

.woocommerce div.product .woocommerce-tabs ul.tabs::before {
    border-color: var(--global-palette5) !important;
}

.woocommerce #reviews #comments ol.commentlist li .meta {
    color: var(--global-palette4) !important;
}

@media screen and (max-width: 719px) {
    .woocommerce div.product .woocommerce-tabs {
        border: 1px solid var(--global-palette5);
        padding-bottom: 10px;
    }
}

/*Cart*/

.woocommerce-cart table.cart .product-name a {
    text-decoration: none;
}

.woocommerce table.shop_table {
    font-size: 100%;
}

.woocommerce-cart table.cart td.actions .coupon .input-text,
.woocommerce-cart table.cart td.actions .coupon input::placeholder {
    color: var(--global-palette4) !important;
    text-transform: uppercase;
    letter-spacing: 2px !important;
}

.woocommerce-cart table.cart td.actions .coupon .input-text {
    border: 1px solid var(--global-palette5) !important;
    border-radius: 0;
}

.woocommerce table.shop_table td {
    border-top: 1px solid var(--global-palette5);
}


.cart-subtotal,
.cart_totals th,
.cart_totals td {
    border-color: var(--global-palette5) !important;
}

.quantity.spinners-added,
.quantity,
.woocommerce div.product .woocommerce-tabs ul.tabs li {
    border: 1px solid var(--global-palette5) !important;
    border-radius: 0 !important;
    color: var(--global-palette4) !important;
}


@media screen and (max-width: 767px) {
    .woocommerce-page table.cart td.actions .coupon .button {
        margin-top: 8px;
    }
}

@media screen and (max-width: 785px) {
    .woocommerce-page table.cart td.actions .coupon .button,
    .woocommerce-cart table.cart td.actions .coupon .input-text {
        width: 100% !important;
    }

    .woocommerce table.cart td.actions .button,
    .woocommerce #content table.cart td.actions .button,
    .woocommerce-page table.cart td.actions .button,
    .woocommerce-page #content table.cart td.actions .button {
        display: block;
        width: 100%;
    }

    .woocommerce table.cart td.actions .coupon,
    .woocommerce #content table.cart td.actions .coupon,
    .woocommerce-page table.cart td.actions .coupon,
    .woocommerce-page #content table.cart td.actions .coupon {
        float: none;
    }
}

@media screen and (min-width: 719px) and (max-width: 785px) {
    .woocommerce-cart table.cart td.actions #coupon_code,
    .woocommerce-cart table.cart td.actions .button.wp-element-button {
        margin-bottom: 8px;
    }
}


/*Checkout*/

form.checkout.woocommerce-checkout input::placeholder,
.woocommerce-shipping-fields input::placeholder,
.woocommerce-additional-fields input::placeholder,
.woocommerce-shipping-fields textarea::placeholder,
.woocommerce-additional-fields textarea::placeholder {
    color: var(--global-palette1) !important;
    text-transform: uppercase;
    font-size: 90%;
    letter-spacing: 2px;
}

form.checkout.woocommerce-checkout input,
.woocommerce-shipping-fields input,
.woocommerce-additional-fields input,
.woocommerce-shipping-fields textarea,
.woocommerce-additional-fields textarea,
.select2-container--default .select2-selection--single {
    border: 1px solid var(--global-palette5) !important;
    border-radius: 0 !important;
    color: var(--global-palette4) !important;
}

.shop_table.woocommerce-checkout-review-order-table th,
.shop_table.woocommerce-checkout-review-order-table tr,
.shop_table.woocommerce-checkout-review-order-table td {
    border-color: var(--global-palette5) !important;
}

/*My account and all forms*/

.woocommerce form.login,
.woocommerce form.register,
input,
form,
.woocommerce form.login input,
.woocommerce form.register input,
.woocommerce #reviews #comments ol.commentlist li .comment-text,
textarea {
    border-color: var(--global-palette5) !important;
    border-radius: 0 !important;
}

textarea::placeholder,
input::placeholder {
    color: var(--global-palette1) !important;
    text-transform: uppercase;
    font-size: 90%;
    letter-spacing: 2px;
}



/*Blog*/

/*Blog - posts style - button Read more*/

article .post-more-link {
    display: inline-block;
    font-size: 13px;
    letter-spacing: 2px;
    padding: 10px 15px;
    margin: 5px auto;
    background: var(--global-palette8);
}

article .post-more-link:hover {
    background: var(--global-palette2);
    color: var(--global-palette9);
}

/*Blog - posts style - category links*/

article .category-links {
    letter-spacing: 2px;
    font-size: 13px;
}

/*Blog - bottom navigation (pagination)*/

.pagination .page-numbers {
    border-radius: 0;
}

/*Custom blog page*/

/*Custom blog hero section - searchbar*/

.jl-olivia-customblog-hero-section .wp-block-search.wp-block-search__button-inside .wp-block-search__inside-wrapper,
.jl-olivia-customblog-hero-section-searchbar input {
    background: transparent !important;
}

/*Custom blog hero section - top categories - links style*/

.jl-olivia-customblog-hero-section-categories-links {
    list-style: none;
    text-align: center;
    text-transform: uppercase;
    letter-spacing: 2px;
    font-size: 13px;
}

.jl-olivia-customblog-hero-section-categories-links a {
    width: 100%;
    display: inline-block;
    padding: 8px;
    border-bottom: 1px solid var(--global-palette8);
}

.jl-olivia-customblog-hero-section-categories-links a:hover {
    background: var(--global-palette8);
    text-decoration: none;
    color: var(--global-palette1);
}


/*Custom blog - featured post*/

.jl-olivia-customblog-featuredpost-post {
    padding: 0 0.5em;
}

.jl-olivia-customblog-featuredpost .post-thumbnail {
    margin: 30px 15px;
}

.jl-olivia-customblog-featuredpost .post-thumbnail-inner {
    padding-right: 20px;
}

/*Custom blog featured post - thumbnail style*/

.jl-olivia-customblog-featuredpost .post-thumbnail,
.jl-olivia-customblog-featuredpost .post-thumbnail img {
    border-radius: 500px 500px 0 0;
    z-index: 0;
}

.jl-olivia-customblog-featuredpost .post-thumbnail::before {
    content: '';
    width: 100%;
    height: 100%;
    background: var(--global-palette7);
    position: absolute;
    right: 0;
    z-index: 0;
    border-radius: 500px 500px 0 0;
}

/*Custom blog featured post - content column*/

.jl-olivia-customblog-featuredpost .entry-content-wrap {
    display: flex;
    flex-direction: column;
    justify-content: center;
    padding: 1em !important;
}

.jl-olivia-customblog-featuredpost .entry-title {
    position: relative;
    display: block;
    padding-top: 25px;
}

/*Custom blog featured post - the line above the post title*/

.jl-olivia-customblog-featuredpost .entry-title::after {
    position: absolute;
    content: '';
    top: 0;
    left: -150px;
    margin: auto;
    width: 300px;
    height: 1px;
    background: var(--global-palette5);
}

/*Custom blog featured post - Read more button*/

.jl-olivia-customblog-featuredpost article .post-more-link {
    display: inline-block;
    font-size: 13px;
    letter-spacing: 2px;
    padding: 10px 15px;
    margin: 5px auto;
    background: var(--global-palette6);
    color: var(--global-palette9);
}

.jl-olivia-customblog-featuredpost article .post-more-link:hover {
    background: var(--global-palette2);
    color: var(--global-palette9);
}

/*Custom blog featured post - mobile settings*/

@media screen and (min-width: 768px) {
    .jl-olivia-customblog-featuredpost-post.grid-lg-col-1.item-image-style-beside article.loop-entry.has-post-thumbnail:not(.kb-post-no-image) {
        display: grid;
        grid-template-columns: 1.6fr 2fr;
    }
    .jl-olivia-customblog-featuredpost .post-thumbnail {
        margin: 0 0 30px 0;
    }
    .jl-olivia-customblog-featuredpost-post {
        padding: 0 1em;
    }
}


/*Custom blog - top categories section*/

/*Section background*/

.jl-olivia-customblog-categories {
    background-image: linear-gradient(0, rgb(0, 0, 0, 0) 40%, var(--global-palette8, #faf1ec) 30%) !important;
}

/*Custom blog top categories - positions*/

.jl-olivia-customblog-categories-columns .kt-row-column-wrap .wp-block-kadence-column:nth-child(3n+2) {
    margin-top: 3em;
}

/* --- on mobile ---*/

@media screen and (max-width: 767px) {
    .jl-olivia-customblog-categories-columns .kt-row-column-wrap .wp-block-kadence-column:nth-child(3n+2) {
        margin-top: 0;
    }
}

/* --- end of mobile settings ---*/

.jl-olivia-customblog-categories .kb-advanced-image-link {
    border-radius: 400px 400px 0 0 !important;
    display: block;
}

.jl-olivia-customblog-categories .kt-inner-column-height-full:not(.kt-row-layout-row) > .wp-block-kadence-column > .kt-inside-inner-col {
    height: auto;
}

.jl-olivia-customblog-categories-columns figure {
    display: flex;
    justify-content: center;
}

/*Custom blog top categories - buttons*/

.jl-olivia-customblog-categories-columns figcaption {
    position: absolute;
    bottom: -20px;
}

.jl-olivia-customblog-categories-columns figcaption a {
    text-decoration: none;
    display: block;
    padding: 14px !important;
    background: var(--global-palette6);
    color: var(--global-palette9) !important;
}

.jl-olivia-customblog-categories-columns figcaption a:hover {
    background: var(--global-palette1);
    color: var(--global-palette9) !important;
}

/*Custom blog top categories - hover effects*/

.jl-olivia-customblog-categories-columns .wp-block-kadence-image {
    overflow: hidden;
    border-radius: 400px 400px 0 0;
}

.jl-olivia-customblog-categories-columns img {
    transform: scale(1);
    transition: 2s cubic-bezier(0, 0.9, 0.5, 0.9);
}

.jl-olivia-customblog-categories-columns img:hover {
    transform: scale(1.15);
    transition: 2s cubic-bezier(0, 0.9, 0.5, 0.9);
}

/*Custom blog latest posts - section border (the lines) */

.jl-olivia-customblog-latestposts::after,
.jl-olivia-customblog-latestposts::before {
    content: '';
    position: absolute;
    width: 100%;
    height: 1px;
    left: 0;
    right: 0;
    background: var(--global-palette5) !important;
}

.jl-olivia-customblog-latestposts::after {
    bottom: 1em;
}

.jl-olivia-customblog-latestposts::before {
    top: 1em;
}

/*Sidebar*/

/*Sidebar - about me (welcome) widget - image background*/

.jl-olivia-sidebar-welcome-image {
    position: relative;
    margin-left: auto;
    margin-right: auto;
}

.jl-olivia-sidebar-welcome-image::before {
    content: '';
    width: 100%;
    height: 100%;
    background: var(--global-palette7);
    position: absolute;
    left: 0;
    z-index: -1;
    border-radius: 500px 500px 0 0;
}

.jl-olivia-sidebar-welcome-image img {
    width: 100%;
    margin-left: auto;
    margin-right: auto;
}

/*Sidebar - social icons after hovering*/

.jl-olivia-sidebar-socialicons li:hover {
    background: var(--global-palette1) !important;
    color: var(--global-palette9) !important;
    transition: 0.3s ease-in-out;
}

.jl-olivia-sidebar-socialicons li {
    transition: 0.3s ease-in-out;
}


/*Sidebar - searchbar*/

.jl-olivia-sidebar-searchbar .wp-block-search__inside-wrapper {
    border-radius: 0 !important;
    border-color: var(--global-palette5) !important;
}

.jl-olivia-sidebar-searchbar input {
    border-radius: 0 !important;
    border: none;
    letter-spacing: 2px;
}

.jl-olivia-sidebar-searchbar .wp-block-search__button {
    border-radius: 0 !important;
    color: var(--global-palette5) !important;
    background: var(--global-palette7) !important;
}

.jl-olivia-sidebar-searchbar .wp-block-search__button:hover {
    box-shadow: none !important;
    background: var(--global-palette1) !important;
    color: var(--global-palette9) !important;
}

/*Sidebar - blog categories*/

.jl-olivia-sidebar-categories-list {
    list-style: none;
    text-align: center;
    text-transform: uppercase;
    padding: 0 5px;
    margin: 10px auto;
    letter-spacing: 2px;
    font-size: 13px;
}

.jl-olivia-sidebar-categories-list li a {
    width: 100%;
    display: inline-block;
    padding: 8px;
    border-bottom: 1px solid var(--global-palette8);
}

.jl-olivia-sidebar-categories-list li a:hover {
    background: var(--global-palette8);
    text-decoration: none;
    color: var(--global-palette1);
}

.jl-olivia-sidebar-categories-list li,
.jl-olivia-sidebar-categories-list li:hover,
.jl-olivia-sidebar-categories-list li a,
.jl-olivia-sidebar-categories-list li:hover a {
    transition: 0.3s ease-in-out;
}

/*Sidebar - newsletter*/

/*Sidebar - newsletter - form fields style*/

.jl-olivia-sidebar-newsletter-form input,
.jl-olivia-sidebar-newsletter-form input:focus {
    border-width: 0 !important;
    border-bottom-width: 1px !important;
    letter-spacing: 2px;
}




